Subject: bug#43834: 27.1; [PATCH] Sentinels under X and command line

From: [email-masked]
Date: Wed, 07 Oct 2020 08:33:17 -0400

It is related insofar as any read descriptor waiting to be flushed will
prevent status_notify() from running (this is why global-auto-revert-mode is a
bad idea as it introduces multiple inotify descriptors which, in your words,
can bring emacs "to its knees [and become] extremely unresponsive."

>>>>> Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Wed, 07 Oct 2020 07:32:39 -0400
>> 
>> xsmfns.c adds a "keyboard" read descriptor for /tmp/.ICE-unix which process.c
>> won't see when it calls compute_non_keyboard_wait_mask() in
>> wait_reading_process_output().  So make that read descriptor "non keyboard",
>> and it will no longer block status_notify() from running.

> Thank you.

> Can you explain how the descriptor for /tmp/.ICE-unix is related to running
> arbitrary subprocesses at startup?